WorkflowFormFieldConditions
Creates a workflow form field condition
Creates a new workflow form field condition from provided data
POST
/
v1
/
workflows
/
{workflow_id}
/
form_field_conditions
Creates a workflow form field condition
curl --request POST \
--url https://api.rootly.com/v1/workflows/{workflow_id}/form_field_conditions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "workflow_form_field_conditions",
"attributes": {
"form_field_id": "<string>",
"incident_condition": "ANY",
"workflow_id": "<string>",
"values": [
"<string>"
],
"selected_catalog_entity_ids": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"selected_cause_ids": [
"<string>"
],
"selected_environment_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "workflow_form_field_conditions",
"attributes": {
"workflow_id": "<string>",
"form_field_id": "<string>",
"incident_condition": "ANY",
"selected_catalog_entity_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"values": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_cause_ids": [
"<string>"
],
"selected_environment_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
Previous
Retrieves a workflow form field conditionRetrieves a specific workflow form field condition by id
Next
⌘I
Creates a workflow form field condition
curl --request POST \
--url https://api.rootly.com/v1/workflows/{workflow_id}/form_field_conditions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "workflow_form_field_conditions",
"attributes": {
"form_field_id": "<string>",
"incident_condition": "ANY",
"workflow_id": "<string>",
"values": [
"<string>"
],
"selected_catalog_entity_ids": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"selected_cause_ids": [
"<string>"
],
"selected_environment_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "workflow_form_field_conditions",
"attributes": {
"workflow_id": "<string>",
"form_field_id": "<string>",
"incident_condition": "ANY",
"selected_catalog_entity_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"values": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_cause_ids": [
"<string>"
],
"selected_environment_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}